Bug 144907 - devlabel fails on boot if /usr is a seperate partition
Summary: devlabel fails on boot if /usr is a seperate partition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: devlabel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2005-01-12 17:15 UTC by Phillip Sorensen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 15:06:19 UTC


Attachments (Terms of Use)
patch for this and other issues (5.18 KB, patch)
2005-01-12 17:36 UTC, Bill Nottingham
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:058 normal SHIPPED_LIVE util-linux bug fix update 2005-05-18 04:00:00 UTC
Red Hat Product Errata RHBA-2005:121 normal SHIPPED_LIVE devlabel bug fix update 2005-05-19 04:00:00 UTC

Description Phillip Sorensen 2005-01-12 17:15:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
If /usr is on a seperate partition from root it fails to properly
start and create the symlinks.  The error message is that it cannot
find program 'head'.  The head program is located in the /usr/bin
directory, but devlabel is only run before any partitions but / are
mounted.

I can work around the problem by adding a call to devlabel in rc.local


Version-Release number of selected component (if applicable):
devlabel-0.48.03-6

How reproducible:
Always

Steps to Reproduce:
1. Install with /usr on a separate partition
2. Setup devlabel
3. Reboot
    

Actual Results:  Devlabel gives an error message and does not create
the links 

Expected Results:  Devlabel creates the links

Additional info:

Comment 1 Bill Nottingham 2005-01-12 17:36:22 UTC
Created attachment 109678 [details]
patch for this and other issues

Please try the attached patch.

Comment 2 Phillip Sorensen 2005-01-12 20:02:02 UTC
I tried the patch.  It did get rid of the error with head, and worked
with /usr mounted, but it did not fix the main problem.

Looking at things more devlabel calls (at least for my setup) 3 other
programs in /usr/bin:

partition_uuid
scsi_unique_id
raw

The first two are part of the devlabel package.  The 'raw' program is
from the util-linux package.

Devlabel works properly if these three file are copied to /bin

Comment 3 Bill Nottingham 2005-01-12 20:15:38 UTC
So, that has *never* worked, it's not something that failed in U4,
correct?

Comment 4 Phillip Sorensen 2005-01-12 21:19:57 UTC
I have only started using devlabel it in the last couple weeks, but
the devlabel package in the install U3 does not work either.  This may
mean it never worked.

Comment 5 Bill Nottingham 2005-01-19 21:21:26 UTC
Cc'ing util-linux maintainer.

Comment 8 Tim Powers 2005-05-18 15:06:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-058.html



Note You need to log in before you can comment on or make changes to this bug.